Index (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.lucene.management.configuration, class: Index

Package org.apache.geode.cache.lucene.management.configuration

# Class Index

java.lang.Object
org.apache.geode.cache.configuration.CacheElement
org.apache.geode.cache.lucene.management.configuration.Index

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`

public class Index extends CacheElement

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="field" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="analyzer" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="serializer" type="{http://geode.apache.org/schema/cache}declarable-type" minOccurs="0"/>
           </sequence>
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Index.Field`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Index.Field>`
  `field`
  `protected String`
  `name`
  `protected DeclarableType`
  `serializer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Index()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Index.Field>`
  `getField()`
  Gets the value of the field property.
  `String`
  `getId()`
  Gets the identifier uniquely identifying this Object instance.
  `String`
  `getName()`
  Gets the value of the name property.
  `DeclarableType`
  `getSerializer()`
  Gets the value of the serializer property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setSerializer(DeclarableType value)`
  Sets the value of the serializer property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### field

    protected List<Index.Field> field

  - ### serializer

    protected DeclarableType serializer

  - ### name

    protected String name

- ## Constructor Details

  - ### Index

    public Index()

- ## Method Details

  - ### getField

    public List<Index.Field> getField()
    Gets the value of the field property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the field property.

    For example, to add a new item, do as follows:

         getField().add(newItem);

    Objects of the following type(s) are allowed in the list `Index.Field`

    Returns:
      the value of the field property.

  - ### getSerializer

    public DeclarableType getSerializer()
    Gets the value of the serializer property. possible object is `DeclarableType`
    Returns:
      the value of the serializer property

  - ### setSerializer

    public void setSerializer(DeclarableType value)
    Sets the value of the serializer property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the serializer property to set

  - ### getName

    public String getName()
    Gets the value of the name property. possible object is `String`
    Returns:
      the value of the name property

  - ### setName

    public void setName(String value)
    Sets the value of the name property. allowed object is `String`
    Parameters:
      `value` - the value of the name property to set

  - ### getId

    public String getId()
    Description copied from interface: `Identifiable`
    Gets the identifier uniquely identifying this Object instance.

    Returns:
      an identifier uniquely identifying this Object.